package net.jieyuu.controller;


import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import net.jieyuu.enums.BizCodeEnum;
import net.jieyuu.service.CouponRecordService;
import net.jieyuu.utils.JsonData;
import net.jieyuu.vo.CouponRecordVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author jieyuu
 * @since 2024-07-15
 */
@RestController
@RequestMapping("/api/coupon_record/v1")
public class CouponRecordController {

    @Autowired
    private CouponRecordService couponRecordService;

    @ApiOperation(value = "个人优惠券分页")
    @GetMapping("page")
    public JsonData page(@ApiParam("当前页")
                         @RequestParam(value = "page", defaultValue = "1") int page,
                         @ApiParam("显示多少条")
                         @RequestParam(value = "size", defaultValue = "20") int size) {
        Map<String, Object> pageResult = couponRecordService.page(page, size);
        return JsonData.buildSuccess(pageResult);
    }


    @ApiOperation("获取优惠券详情")
    @GetMapping("detail/{record_id}")
    public JsonData getCouponRecordDetail(@ApiParam("记录id") @PathVariable("record_id") long recordId) {
        CouponRecordVO couponRecordVO = couponRecordService.findById(recordId);

        return couponRecordVO == null ? JsonData.buildResult(BizCodeEnum.COUPON_NO_EXITS) : JsonData.buildSuccess(couponRecordVO);
    }


}

