package net.jieyuu.request;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;


@Data
public class ConfirmOrderRequest {

    /**
     * 购物车使用的优惠券
     */
    @JsonProperty("coupon_record_id")
    private Long couponRecordId;

    /**
     * 最终购买的商品列表
     * 传递id, 数量从购物车中读取
     */
    @JsonProperty("product_list")
    private List<Long> productList;


    /**
     * 支付类型
     */
    @JsonProperty("pay_type")
    private String payType;

    /**
     * 端类型
     */
    @JsonProperty("client_type")
    private String clientType;

    /**
     * 购物车使用的优惠券
     */
    @JsonProperty("address_id")
    private Long addressId;

    /**
     * 总价格，由前端传递，后端需要验价
     */
    @JsonProperty("total_amount")
    private BigDecimal totalAmount;

    /**
     * 实际支付价格
     * 若使用优惠券，就减去优惠券价格，否则和 totalAmount相同
     */
    @JsonProperty("real_pay_amount")
    private BigDecimal realPayAmount;

    /**
     * 防重令牌
     */
    @JsonProperty("token")
    private String token;
}
